Subject: Re: bug#54733: Match again in perform-replace

From: Juri Linkov <[email-masked]>
Date: Fri, 29 Apr 2022 20:41:42 +0300

>> So now we have two cases that require fixing perform-replace.
>
> To be able to redesign the match-again part of perform-replace,
> there is a need to have a test suite that will confirm nothing
> is broken after redesign.  So I pushed a new test in replace-tests.el.

The need to have `looking-at` in `perform-replace` is explained
in the commit message of 5632eb272c7.  So now added it to replace-tests.